package com.liang.dao;

import com.liang.entity.SysUserRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * (SysUserRole)表数据库访问层
 *
 * @author makejava
 * @since 2023-02-19 21:37:39
 */
public interface IndexMapper {

    /**
     * 根据用户名查询一个账户
     */
    Map findAccountByUserId(String userId);

    /**
     * 修改密码
     */
    int doUpdatePassword(Map map);

    /**
     * 获取菜单列表
     *
     * @return
     */
    List<Map> menuInit(@Param("userId") String userId);

}

